Subject: bug#26047: 26.0.50; emacs crash by cl-caff2

From: Vibhav Pant <[email-masked]>
Date: Fri, 17 Mar 2017 17:09:25 +0530

This is possibly to do with byte-compile-inline-lapcode inlining some
byte-switch lapcode incorrectly. I'll send another patch as soon as I
rewrite it.

Thanks,
Vibhav

On Fri, Mar 17, 2017 at 3:47 PM, Andreas Politz
<[email-masked]> wrote:
> Vibhav Pant <[email-masked]> writes:
>
>> Could you apply this patch, and see if the issue is fixed?
>
> I'm afraid not.
>
> Debugger entered--Lisp error: (void-function s)
>   s(buf string "abcdefg")
>   byte-code("\300\301!\210\302\303\304\305#\210\302\303\304\306\303\304N\307D.\310\267\2027.\311\312.\"\262.\202=.\311\313.\"\262.\202=.\311\314\211.\315\"\"\262.\202=.\316\317.\"\266\205#\210\320\321!\207" [require cl-lib put s buf "abcd" string "efg" #s(hash-table size 3 test eq rehash-size 1.5 rehash-threshold 0.8125 purecopy t data (vector 25 string 34 list 43)) apply vconcat concat append (nil) error "Not a sequence type name: %S" provide byte-code-bug] 12)
>
> -ap

-- 
Vibhav Pant
[email-masked]